org.apache.fop.svg

## Class AbstractFOPImageElementBridge.LoaderImageNode

- java.lang.Object
- - org.apache.batik.gvt.AbstractGraphicsNode
  - - org.apache.fop.svg.AbstractFOPImageElementBridge.LoaderImageNode

- All Implemented Interfaces:
    org.apache.batik.gvt.GraphicsNode
  Enclosing class:
    AbstractFOPImageElementBridge

      public class AbstractFOPImageElementBridge.LoaderImageNode
      extends org.apache.batik.gvt.AbstractGraphicsNode

  An image node for natively handled Image instance. This holds a natively handled image so that it can be drawn into the PDFGraphics2D.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.batik.bridge.BridgeContext` | `ctx` bridge context
    `protected org.apache.xmlgraphics.image.loader.Image` | `image` image
    `protected Element` | `imageElement` image element
    `protected org.apache.batik.gvt.GraphicsNode` | `origGraphicsNode` original graphics mode
    `protected org.apache.batik.util.ParsedURL` | `purl` parsed url

    - ### Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode

      `changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

    - ### Fields inherited from interface org.apache.batik.gvt.GraphicsNode

      `ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoaderImageNode(org.apache.xmlgraphics.image.loader.Image image, org.apache.batik.bridge.BridgeContext ctx, Element imageElement, org.apache.batik.util.ParsedURL purl)` Create a new image node for drawing natively handled images into PDF graphics.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle2D` | `getGeometryBounds()`
    `Shape` | `getOutline()`
    `Rectangle2D` | `getPrimitiveBounds()`
    `Rectangle2D` | `getSensitiveBounds()`
    `void` | `primitivePaint(Graphics2D g2d)`

    - ### Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode

      `contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, invalidateGeometryCache, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### image

          protected final org.apache.xmlgraphics.image.loader.Image image

      image

    - #### ctx

          protected final org.apache.batik.bridge.BridgeContext ctx

      bridge context

    - #### imageElement

          protected final Element imageElement

      image element

    - #### purl

          protected final org.apache.batik.util.ParsedURL purl

      parsed url

    - #### origGraphicsNode

          protected org.apache.batik.gvt.GraphicsNode origGraphicsNode

      original graphics mode

  - ### Constructor Detail

    - #### LoaderImageNode

          public LoaderImageNode(org.apache.xmlgraphics.image.loader.Image image,
                                 org.apache.batik.bridge.BridgeContext ctx,
                                 Element imageElement,
                                 org.apache.batik.util.ParsedURL purl)

      Create a new image node for drawing natively handled images into PDF graphics.
      Parameters:
        `image` - the JPEG image
        `ctx` - the bridge context
        `imageElement` - the SVG image element
        `purl` - the URL to the image

  - ### Method Detail

    - #### getOutline

          public Shape getOutline()

    - #### primitivePaint

          public void primitivePaint(Graphics2D g2d)

    - #### getGeometryBounds

          public Rectangle2D getGeometryBounds()

    - #### getPrimitiveBounds

          public Rectangle2D getPrimitiveBounds()

    - #### getSensitiveBounds

          public Rectangle2D getSensitiveBounds()

Copyright © 2023 Apache Software Foundation. All rights reserved.